//--------------------------------------------------------------------
//      grx_opcodes.h 
//      ------------- 
//      Operation codes for the binary mode data files
//      Used by both generate and the experimental benchmark projects
//
//      Spatio-temporal data generator v 1.0 
//      Copyright(c) 1998-2000, Aalborg University
//

#ifndef __GRX_OPCODES_H
#define __GRX_OPCODES_H

const char OPC_EOF     = '\x0';     // End of file
const char OPC_A       = '\x2';     // advance time 1
const char OPC_AX      = '\x3';     // advance time X
const char OPC_TX      = '\x4';     // set time X
const char OPC_I       = '\x8';     // insert family of operations
const char OPC_INONVAR = '\x8';     // insert variable free entry
const char OPC_IUC     = '\x9';     // insert UC entry
const char OPC_INOW    = '\xA';     // insert NOW entry
const char OPC_IUCNOW  = '\xB';     // insert UC, NOW entry
const char OPC_D       = '\x10';    // delete family of operations
const char OPC_DNONVAR = '\x10';    // delete variable free entry
const char OPC_DUC     = '\x11';    // delete UC entry
const char OPC_DNOW    = '\x12';    // delete NOW entry
const char OPC_DUCNOW  = '\x13';    // delete UC, NOW entry
const char OPC_S       = '\x20';    // search 

#endif
