//--------------------------------------------------------------------
//      params.h 
//      -------- 
//      Processor of the parameters' file
//      Defined: TParams
//
//      Spatio-temporal data generator v 1.0 
//      Copyright(c) 1998-2000, Aalborg University
//

#ifndef __PARAMS_H
#define __PARAMS_H

#include <stddef.h>

class TParams
{
 public:
   TParams (const char* fname);
   ~TParams();

   long   getInt    (const char* pname);
   double getFloat  (const char* pname);
   char*  getString (const char* pname);   // Returns pointer to internal buffer
   void   ResetError()  { error = false; }
   bool   Error() const { return error;  }
   void   Silent (bool s = true) { silent = s;}

 protected:
   char*  getRaw (const char* pname, char** end = NULL);

   char*          buffer;
   bool           silent;
   bool           error;
};

#endif


